Bug 128362 - Do enable FreeWnn
Do enable FreeWnn
Product: Fedora
Classification: Fedora
Component: xemacs (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
: i18n
Depends On:
  Show dependency treegraph
Reported: 2004-07-22 01:05 EDT by Nakai
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: xemacs-21.4.15-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-25 20:53:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Wnn complile fix (1.53 KB, patch)
2004-07-22 02:40 EDT, Nakai
no flags Details | Diff

  None (edit)
Description Nakai 2004-07-22 01:05:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja-JP; rv:1.6) Gecko/20040510

Description of problem:
FreeWnn support in xemacs is off. Why?

xemacs's FreeWnn frontend is the only way to regist new word
to the FreeWnn dictionary. Kinput2 don't support it, so emacs
don't support it either.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. xemacs
2. Try to use FreeWnn
3. Wow

Actual Results:  No FreeWnn support

Expected Results:  FreeWnn support

Additional info:
That's depends on the policy of how Red Hat treats FreeWnn.
Comment 1 Nakai 2004-07-22 02:40:15 EDT
Created attachment 102130 [details]
Wnn complile fix

Fix for FreeWnn option.
We don't use cWnn anymore so we can cut all of them.
Comment 2 Jens Petersen 2004-09-29 13:30:40 EDT
Ok, wnn support is back on in 21.4.15-8.
Comment 3 Lawrence Lim 2004-11-25 20:53:29 EST
Apologise for the delay. This is confirmed fixed. 
Tested xemacs-21.4.15-8 with FreeWnn-1.10p1020-5.

Comment 4 Lawrence Lim 2004-11-25 21:31:34 EST
One thing to add. With FreeWnn, it does not allow kanji conversion as
FreeWnn is not using TCP socket. I tried with Canna which use TCP
socket, and kanji conversion is possible.
Comment 5 Akira TAGOH 2004-11-26 03:06:10 EST
Well, cannaserver is listening on the unix domain socket only by
default, though.
Comment 6 Jens Petersen 2004-11-26 08:12:33 EST
Actually japanese-egg-wnn does work if one is a little persistent.

It asks some yes-or-no-p question for the first conversion
- answer "no" to this (I'm not sure what it is asking!)
and then if one continues as if nothing happened it seems to work ok. :-)

Note You need to log in before you can comment on or make changes to this bug.